#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>

using namespace std;

const int MAX_NUM = 1000;
const int MIN_NUM = -MAX_NUM;
const int MAX_SIZE = 1000;

int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    int n;
    cin >> n;

    assert(n <= MAX_SIZE);

    vector<pair<long long , long long> > f(n, make_pair(MIN_NUM - 1, MIN_NUM - 1)), ans;
    for (int i = 0; i < n; i++) {

        cin >> f[i].second >> f[i].first;
        f[i].first = -f[i].first;

        assert(f[i].first >= MIN_NUM);
        assert(f[i].first <= MAX_NUM);
        assert(f[i].second >= MIN_NUM);
        assert(f[i].second <= MAX_NUM);
    }

    sort(f.begin(), f.end());

    long long k = 0, b = 0;
    for (int i = 0; i < n; i++) {
        k -= f[i].second;
        b += f[i].second * f[i].first;
    }

    ans.push_back(make_pair(k, b));
    int curb = 0;
    for (int i = 0; i < f.size(); i++) {
        curb = f[i].first;
        int j = 0;
        while(i < f.size() && f[i].first == curb) {
            k += 2 * f[i].second;
            b -= 2 * f[i].second * f[i].first;
            i++;
            j++;
        }
        if (j) i--;

        pair<long long, long long> new_f(k, b);
        if (new_f != ans.back()) {
            ans.push_back(make_pair(k, b));
        }
    }

    cout << ans.size() << endl;
    for (int i = 0; i < ans.size(); i++) {
        cout << ans[i].first << " " << ans[i].second << endl;
    }

    return 0;
}